SynonymMap (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.synonym.SynonymMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.synonym
Class SynonymMap

    java.lang.Object
      org.apache.lucene.analysis.synonym.SynonymMap

    public class SynonymMap

extends Object

A map of synonyms, keys and values are phrases.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` | `SynonymMap.Builder` Builds an FSTSynonymMap.

Field Summary
`org.apache.lucene.util.fst.FST<org.apache.lucene.util.BytesRef>` | `fst` map>
`int` | `maxHorizontalContext` maxHorizontalContext: maximum context we need on the tokenstream
`static char` | `WORD_SEPARATOR` for multiword support, you must separate words with this separator
`org.apache.lucene.util.BytesRefHash` | `words` map

Constructor Summary
`SynonymMap(org.apache.lucene.util.fst.FST<org.apache.lucene.util.BytesRef> fst, org.apache.lucene.util.BytesRefHash words, int maxHorizontalContext)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORD_SEPARATOR

    public static final char WORD_SEPARATOR

  for multiword support, you must separate words with this separator

  See Also:
    Constant Field Values

### fst

    public final org.apache.lucene.util.fst.FST<org.apache.lucene.util.BytesRef> fst

  map>

### words

    public final org.apache.lucene.util.BytesRefHash words

  map

### maxHorizontalContext

    public final int maxHorizontalContext

  maxHorizontalContext: maximum context we need on the tokenstream

Constructor Detail

### SynonymMap

    public SynonymMap(org.apache.lucene.util.fst.FST<org.apache.lucene.util.BytesRef> fst,
                      org.apache.lucene.util.BytesRefHash words,
                      int maxHorizontalContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD